
QGIS Application - Bug report #8321

GRASS v.distance behaves differently in SEXTANTE and GRASS tools - problems in SEXTANTE

2013-07-18 03:01 AM - Håvard Tveite

Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Affected QGIS version:master Regression?: No

Operating System: Windows XP Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 17113

Description

I have just installed QGIS development version through the OSGEO4W installer.

I want to use v.distance to find the minimum distance to nearest feature ("dist" option).

In GRASS tools, v.distance functions as expected, adding distances to an existing field in the "from" dataset.

Through SEXTANTE, I am facing various problems.

1) The field for adding distances seems to be chosen from the "to" dataset.

2) The field name (for adding distances) has to be uppercase to be choosable.

3) After running v.distance, the dataset with the "connecting lines" is generated, but the distance field is not updated.

4) The text: "Column where values specified by 'upload' option will be uploaded" is a bit misleading, since "upload" is not mentioned in the

line above (it is in the GRASS tool version).  Could perhaps be changed to "Column where values specified by the above option will be

uploaded", or "upload" could be added in parentheses in the option text above.

5) "Output layer" is a bit short as a description.  Could perhaps be changed to "Output vector map containing lines connecting nearest

elements".

6) v.in.ogr min area (advanced options), could perhaps be explained?

7) Min and max distance is not available among the parameters.

History

#1 - 2013-07-18 03:08 AM - Håvard Tveite

I forgot to say that the datasets that I was using were Shapefile format.

#2 - 2013-07-18 03:11 AM - Håvard Tveite

Sorry, I just realized that there is a separate issue tracker for SEXTANTE.  Can this issue be moved?

#3 - 2013-07-18 03:15 AM - Håvard Tveite

- Status changed from Open to Closed
Closing - I created a new issue in the Sextante issue tracker.

#4 - 2013-07-20 03:25 AM - Giovanni Manghi

- Resolution set to invalid
